<?php

/*
  Plugin Name: wpDiscuz - Hidden Comments
  Description:
  Version: 1.0.0
  Author: gVectors Team
  Author URI: https://gvectors.com/
  Text Domain: wpdiscuz_hdc
  Domain Path: /languages/
 */

if (!defined("ABSPATH")) {
    exit();
}

define("WPDHDC_DIR_PATH", dirname(__FILE__));

include_once WPDHDC_DIR_PATH . "/options/wpDiscuzHDCOptions.php";

$wpdiscuzCommentTemplatePath;

class wpDiscuzHiddenComments {

    private $options;

    public function __construct() {
        add_action("plugins_loaded", [&$this, "pluginLoad"], 1);
    }

    public function pluginLoad() {
        if (function_exists("wpDiscuz")) {
            load_plugin_textdomain("wpdiscuz_hdc", false, dirname(plugin_basename(__FILE__)) . "/languages/");
            $this->options = new wpDiscuzHDCOptions();
            add_filter('comments_template', [&$this, 'commentsTemplate'], 999999999);
        } else {
            add_action("admin_notices", [&$this, "wpdsRequirements"], 1);
        }
    }

    public function commentsTemplate($path) {
        global $wpdiscuzCommentPath;
        $wpdiscuzCommentPath = $path;

        return WPDHDC_DIR_PATH . '/comment-form.php';
    }


    public function wpdsRequirements() {
        if (current_user_can("manage_options")) {
            echo "<div class='error'><p>" . __("wpDiscuz - Hidden Comments requires wpDiscuz to be installed!", "wpdiscuz_hdc") . "</p></div>";
        }
    }
    
    public function getButtonText(){
        return $this->options->buttonText;
    }

}

$wpDiscuzHiddenComments  = new wpDiscuzHiddenComments();
